Subject: Re: 26.0.50; Left fringe gets truncated by a pixel in window not sharing that edge with frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Oct 2017 11:24:03 +0300

> Date: Sat, 07 Oct 2017 10:08:26 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > This is OK for PROBLEMS, but maybe it should be in the user manual
>  > instead?
> 
> It's probably too internal in order to be mentioned in PROBLEMS.  But is
> the user manual really a suitable place for this?  I understand your
> concerns but, for example, the last paragraph of section "14.14 Window
> Fringes" appears to me merely distracting for people who want to learn
> basic things about fringes.  Maybe that part should better go to section
> "39.3 Truncation" of the Elisp manual.

This text was added in response to explicit requests of users who
AFAIR had nothing to do with Lisp programming, so I think the place is
right, and its being at the end should minimize the distraction.

> As for the vertical borders I don't know.  We would need to describe
> them somewhere in a context of "resizing side-by-side windows with the
> mouse" but we curently do that rather cryptically in section 21.5 of the
> Emacs manual as
> 
>       Furthermore, by clicking and dragging `mouse-1' on the divider
>    between two side-by-side mode lines, you can move the vertical boundary
>    to the left or right.
> 
> Nothing special about windows without vertical scroll bars.

I see two potential homes for this: 21.12 "Scroll Bars" and 21.13
"Window Dividers".  We can mention it in both, one a full description,
the other just a short comment and a cross-reference.  WDYT?